Blue Jeans Network Security Advisory

  • 5
  • Announcement
  • Updated 5 months ago
  • (Edited)
Blue Jeans Network Security Advisory

BlueJeans is aware of the recently disclosed vulnerabilities referred to as Meltdown and Spectre (CVE-2017-5754, CVE-2017-5753 & CVE-2017-5715) that affect many modern processors including Intel, AMD and ARM and the operating systems running on them. We are taking these vulnerabilities seriously. We are working with our vendors and partners to mitigate them. Patch roll out to secure our cloud services has commenced and will be done in phases. To start with, we will patch systems as necessary based on the security assessment, availability of patches and their performance impact so as not to affect BlueJeans services. Due to the built-in redundancy in our infrastructure, impact to ongoing and new meetings will be minimal. We are also applying patches to our employees’ systems for company-wide protection.

BlueJeans has not found any evidence to indicate that these vulnerabilities have impacted our service or our customers. We will continue to work closely with our vendors and partners to apply futures updates to hardware, firmware and software. We will communicate again if there is any significant information on this topic.

Recommended Actions for Customers

Customer should patch their end user systems running Linux, Windows, macOS, Android and iOS operating systems with the latest updates that address these vulnerabilities from the respective vendors.

All browsers including Chrome, Firefox, Safari and IE on end user systems should be patched to the latest versions that address these vulnerabilities from the respective vendor sites.

Feel free to contact support at www.bluejeans.com/support or email support@bluejeans.com with any questions.

Blue Jeans Network Security & Support
Photo of Mackenzie BlueJeans

Mackenzie BlueJeans, Official Rep

  • 894 Points 500 badge 2x thumb

Posted 8 months ago

  • 5

Be the first to post a reply!